/* PROFILE/USER */
.inner-boxes {
	padding: 20px;
}
.avatar {
	flex: 0 1;
	height: 100px;
	width: 100px;
}
.alli, .alli a {
	color: #2E7094;
}
.horde, .horde a {
	color: #8C0000;
}
.profile-header {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
}
.profile-name {
	width: 100%;
}
.profile-name h1 {
	margin-bottom: 0 !important;
	line-height: 2.5rem;
	padding-top: 10px;
}
.profile-fp, .profile-rs {
	padding: 20px;
	text-align: center;
	width: 100%;
	display: grid;
	grid-template-columns: subgrid;
	grid-template-rows: auto 2fr 1fr;
}
.profile-fp a, .profile-rs a {
	font-style: italic;
	text-decoration: none;
}
.profile-fp img, .profile-rs img {
	width: 100%;
	height: auto;
}
.profile-houses {
	width: 100%;
	display: flex;
	justify-content: space-between;
	gap: 2%;
	margin: 20px 0px;
}
/* CHARACTER BLOCK */
.profile {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	margin: 15px 0 0 0;
	padding: 20px;
	width: 100%;
	gap: 2%;
	flex-flow: row wrap;
}
.charContainer {
	margin: 0 auto 0 auto;
	display: grid;
	grid-template-columns: subgrid;
	grid-template-rows: auto 1fr repeat(3, auto);
}
.char-display {
	width: 100%;
}
.nameCont {
	display: flex;
	justify-content: center;
	flex-flow: wrap;
	width: 250px;
	align-items: center;
}
.name {
	width: fit-content;
	padding-right: 4px;
}
.name img {
	height: 16px !important;
	padding-right: 5px;
}
.name a {
	text-decoration: none;
}
.serverCont {
	width: fit-content;
}
.coverCont {
	position: relative;
	height: 280px;
	overflow:  hidden;
	width: 250px;
}
.levelCont {
	display: flex;
	align-items: center;
	justify-content: center;
}
.levelCont img {
	height: 50px;
}
.profCont {
	height: 40px;
	margin: 10px auto 10px auto;
}
.charDivider {
	height: 1px;
	width: 50%;
	margin: 0 auto 0 auto;
}
.profile-chars {
	display: grid;
	grid-template-columns: repeat(3, auto);
	justify-content: center;
	gap: 40px;
}
.char-pages {
	margin: 5px 10px 0 0;
	text-align: right;
}

/* CRAFTERS/EVENTS */
.table-heading {
	font-weight: bold;
	font-size: 13px;
}
.table-heading a {
	text-decoration:none;
}
.table-heading a i {
	margin-left: 5px;
}
.status {
	margin-right: 20px; 
}
.cancel {
	padding-top: 0 !important;
	padding-bottom: 0 !important;
	background-color: #fff;
	color: red;
}

/* EVENTS/INDEX */
.signCheck {
	display: flex;
	justify-content: space-between;
}
.signCheck .fa-circle-check {
	font-size: 14px;
	background: #fff;
	padding-top: 1px;
	border-radius: 14px;
	max-height: 16px;
}

/* TOGGLE */						/* changelog */
.up-down > a {
	text-decoration: none !important;
}
.up-down > a::after {
	content: "\25B2";
}
.up-down > .toggle::after {
	content: "\25BC";
}
.up-down i {
	font-size: 0.6em;
}

/*copy text alert:*/
#alertCopy {
  width: 140px;
  height: 25px;
  text-align: center;
  background-color: #5865F2;
  color: #fff;
  font-weight: bold;
  font-size: 13px;
  padding-top: 5px;
  position: absolute;
  display: none;
}

/* POLLS */
.poll-widgets {
	margin-top: 5px;
	width: 100%;
}
.poll-widgets p {
	font-size: 13px !important;
	font-style: italic;
	margin-top: 0;
}
.vote-form {
	margin: 20px 0 50px 0;
}
.voting ul {
	list-style-type: none;
	padding-left: 0;
}
/* Draggable */
	.voting li, .voting .ui-state-highlight {
		font-size: 16px;
		line-height: 18px;
		border: 1px solid #999;
		padding: 0.5em 1em;
		margin-bottom: 0.25em;
		box-sizing: border-box;
		max-width: 100%;
	}
	.voting .ui-state-highlight {
		display: block;
		background-color: #999;
	}
/* Single choice */
	.single-choice {
		display: flex;
		margin:25px 0 0 0;
		flex-wrap: wrap;
	}
	.single-choice li {
		background: unset;
		border: unset;
		margin: 0 10px;
		position: relative;
	}
	.single-choice label {
		padding: 15px;
		border: 1px solid #CCC; 
		text-align: center;
		background-color: #474747;
		display: block;
		cursor: pointer;
		height: fit-content;
		width: max-content;
	}
	.single-choice input[type="radio"], .single-choice input[type="checkbox"] {
		opacity: 0.011;
		display: block;
		position: absolute;
		top: 10px;
		left: 15px;
		right: 0;
		bottom: 0;
		cursor: pointer;
	}
	.single-choice input[type="radio"]:checked + label, .single-choice input[type="checkbox"]:checked + label {
		background: green;
	}
.voting li:hover {
	cursor: pointer;
}
.housing-sidebar input[type="text"], .homeSidebar input[type="text"] {
	width: 100%;
}

/* EVENTS/POLLS */
.event-H1 {
	width: fit-content;
	padding: 5px 50px 5px 15px;
	margin-bottom: 0;
}
.note {
	width: 45%;
	margin: 10px 0 10px 0;
	font-size: 13px;
}
.event-form {
	display: flex;
	padding-bottom: 15px;
}
.event-form input {
	margin-right: 10px;
}
.events-form-wrapper a {
	text-decoration: none;
}
.events-form-wrapper h2 {
	margin-left: 20px;
}
.formStatus {
	margin: 0 auto 40px auto;
	text-align: center;
	font-size: 20pt;
}
.green {
	color: green;
}
.event-creation {
	display: flex;
	justify-content: space-evenly;
	margin: 30px 0 20px 0;
	width: 80%;
	flex-wrap: wrap;
	gap: 20px;
}
#event-form-options {
	margin: auto;
	width: fit-content;
	border: solid 1px #C7E0C4;
	padding: 30px;
}
#event-form-options input[type="submit"] {
	float: right;
	margin-top: 20px;
}
.event-options {
	list-style: none;
	display: grid;
	grid-template-columns: repeat(2, auto);
	width: fit-content;
	gap: 10px;
	margin: 10px 0 0 0;
	padding: 0;
}
.event-options .toggle-switch {
	height: 24px;
	width: 45px;
}
.event-options .toggle-switch input:checked+.slider::before {
	transform: translateX(+22px);
}
.event-form-grid div, .event-options li, .eventSummaryRow {
	display: grid;
	grid-template-columns: subgrid;
	grid-column: 1 / -1;
}
.event-form-grid {
	display: grid;
	grid-template-columns: repeat(2, auto);
	width: fit-content;
	gap: 10px;
	margin-top: 10px;
	align-items: center;
}
.event-form-grid input[type="date"] {
	width: fit-content;
}
.main-selected {
	align-items: center;
	margin: 10px 0 0 10px;
}
.eventSummary {
	display: grid;
	grid-template-columns: 1fr 3fr;
	width: 100%;
	border: solid 1px #C7E0C4;
}
.eventSummaryTitle {
	padding: 10px 10px 10px 30px;
	font-weight: bold;
	grid-column-start: 1;
	grid-column-end: 3;
}
.eventSummaryRow {
	padding: 15px;
	font-size: 0.8rem;
}
.eventSummaryRow #static-content {
	border: none;
}
.flex-center {
	display: flex;
	align-items: center;
}
.column-span {
	grid-column-start: 1;
	grid-column-end: 3;
}
.signNote {
	font-style: italic;
	font-size: 13px;
}
/* Faction radio */
	.faction-toggle {
		padding: 10px 15px;
		background-color: #E8E8E8;
		color: #000;
		margin: 5px 5px 0 0;
		font-size: 22px;
	}
	.faction-toggle span {
		margin: auto;
		z-index: 10;
	}
	/* Create a custom radio button */
	.faction-toggle .checkmark {
		height: 100%;
		width: 100%;
		background-color: unset;
		top: 0;
	}
	/* When the radio button is checked colour the background */
	.check-alliance input:checked ~ .checkmark {
		background-color: #2196F3;
		z-index: 5;
	}
	.check-horde input:checked ~ .checkmark {
		background-color: #E61C1F;
		z-index: 5;
	}
	.check-reset {
		background-color: unset !important;
	}
	.faction-toggle .fa-x {
		font-size: 15px;
	}
/* Role check */
	.selectRole a {
		opacity: 1;
		transition: opacity 0.3s ease;
		text-decoration: none;
	}
	.selectRole a:hover {
		opacity: 0.5;
	}
	.chosenRole {
		filter: drop-shadow(10px 10px 10px rgba(4, 170, 109, 0.7));
	}
	.altRoles {
		display: flex;
		align-items: center;
		gap: 30px;
	}
	#addRoleCont, #addAltChars, #addRoleDrop-1, #addRoleDrop-2, #addRoleDrop-3 {
		display: none;
	}
	#altTankSelected, #altHealsSelected, #altDPSSelected {
		min-width: 160px;
	}